%define version	0.11
%define release	3mdk
%define name 	perl-Mon
%define realname	Mon

Summary:	Perl-Mon module
Name: 		%{name}
version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	ftp://ftp.kernel.org/pub/software/admin/mon/%{realname}-%{version}.tar.bz2
URL: 		http://www.kernel.org/software/mon/
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Prefix: %{_prefix}
Requires: 	perl
   
%description
This is the Perl5 module for interfacing with the Mon system monitoring
package. Currently only the client interface is implemented, but more
things like special logging routines and persistent monitors are being
considered.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{realname}-%{version}

%build
rm -rf $RPM_BUILD_ROOT
perl Makefile.PL PREFIX=%{prefix}
make
make test

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{prefix}

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/5.6.1/Mon/*
%{perl_sitearch}/auto/*
%{_libdir}/perl5/man/*/*
%doc CHANGES  COPYRIGHT COPYING README VERSION

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Dec  5 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-3mdk
- fix %%files

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- BuildRequires: perl-devel

* Mon Aug 27 2001 Philippe Libat <philippe@mandrakesoft.com> 0.11-1mdk
- new version

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.10-3mdk
- Rebuild for the latest perl.

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 0.10-2mdk
- doc
- macroszifications.

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 0.10-1mdk
- upgraded to 0.10

* Wed Jun 28 2000 Planel Nicolas <nicolas@mandrakesoft.com>
- Spec file was generated.

